// Some simple constructs
class C {
    int e;
    int f;
    static public void main(String[] args) {
	int x=0;
	C c = new C();
	c.e = 2;
	if(x > 0) // x has 1 reaching definition 
		c.f = x; // c has 1 reaching definitions, c.e has 2
	else 
		c.f = c.e; // c has 1 reaching definition, c.e has 2

    }
}
